#include <stdlib.h>
#include "base/ngt.h"
#include "screens/screens.h"

//#include "base/debug.h"


NGT_Surface tmp;
NGT_Engine main_engine;
NGT_Colors gamecolor; 

//Global main variables

SDL_Surface *screen=NULL;


// Game init function
int main(int argc, char argv[]){
    
    
    
    // Start the NGT Engine. Set properties
    main_engine.machine_target=NGT_MACHINE_GENERIC;
    main_engine.video_bpp = 32;
    main_engine.video_res_w = 800;
    main_engine.video_res_h = 600;
	main_engine.audio_frequency = 44100;
	main_engine.audio_buffer = 2048;
	main_engine.audio_mode = AUDIO_S16SYS;
    main_engine.initialize(screen);
    gamecolor.initialize();
   
	
   // Print game version information
   printf("\nNGT 0.1 demo test: \n");
   printf("Copyright (c) Hector Blanco de Frutos. 2006\n");
   printf("Pubblished by NEOPONTEC Games, under the terms of the GPL license.\n\n");
	
	// Hide the cursor
  	//  SDL_ShowCursor(0);
    
	
	game_start();
	
	main_engine.finalize();
   printf("\nGame closed\n\n");
  return 0;
}
