/***************************************************************************
 *   NGT (Neopontec Gaming Toolkit		      			   *
 *   Distributed under the terms of the GNU LGPL License		   *
 *   Copyright (C) 2005 by Hector Blanco de Frutos                         *
 *   hectorblanco@neopontec.com                                            *
 *   Refer to the LICENSE file to read the full license agreement          *
 ***************************************************************************/

#ifndef VIDEO_COLORS_H_
#define VIDEO_COLORS_H_

#include "../ngt.h"

//!  NGT Colors class 
/*!
  This class provides a basic list of colors in SDL_Color format.
*/
class NGT_Colors{
	public:
	SDL_Color black;
	SDL_Color white;
	SDL_Color grey;
	SDL_Color darkgrey;
    SDL_Color violet;
    SDL_Color violetblue;
    SDL_Color yellow;  
    SDL_Color darkyellow; 
    SDL_Color lightblue;
    	
	
	NGT_Colors();
	//! Initialize the color definitions
	/*!
  		The object must be initialized before getting the colors.\n
  		Whith this function, the colors of the class are initialized 
  		and prepared to work
	*/
	void initialize();	

};

#endif

