/***************************************************************************
 *   NGT (Neopontec Gaming Toolkit	-	version 0.1.0		   *
 *   Distributed under the terms of the GNU LGPL License		   *
 *   Copyright (C) 2005 by Hector Blanco de Frutos                         *
 *   hectorblanco@neopontec.com                                            *
 *   Refer to the LICENSE file to read the full license agreement          *
 ***************************************************************************/

 //------------------------------------------------------------------------- 
 // All the other files of the engine have the same veersion number
 // of this file. 
 //-------------------------------------------------------------------------


 // Main engine header
 
#ifndef ENGINE_H_
#define ENGINE_H_

	// For debugging
	//#include "dmalloc.h"
	// In shell:  dmalloc -l logfile -i 100 low
	
	
	
		// Scripting/Data API
	//#include "python_base.h"
	//#include "xml_base.h"
	
	#include "SDL/SDL.h"
	#include "SDL/SDL_ttf.h"
	#include "SDL/SDL_image.h"
	#include "SDL/SDL_mixer.h"
	
	//#include "engine_types.h"
	
	//#include "engine_base.h"
	
	
	// Main engine API and functionality code
	#include "engine/engine_base.h"
	
	// Video API	
	#include "video/video.h"
	//#include "video/video_sprites.h" 
	//#include "video/video_widgets.h"
	



#endif /*ENGINE_H_*/
